Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.osgi
[Java] Interface OsgiManifest

    org.gradle.api.java.archives.Manifest
      org.gradle.api.plugins.osgi.OsgiManifest

All Superinterfaces:
  Manifest

    public interface OsgiManifest
    extends Manifest

Represents a manifest file for a JAR containing an OSGi bundle.

Authors:
  Hans Dockter

Method Summary
`java.io.File` | `getClassesDir()` Returns the classes dir.
`FileCollection` | `getClasspath()` Returns the classpath.
`java.lang.String` | `getDescription()` Returns the description.
`java.lang.String` | `getDocURL()` Returns the docURL value.
`java.util.Map` | `getInstructions()` Returns all exisiting instruction.
`java.lang.String` | `getLicense()` Returns the license.
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getSymbolicName()` Returns the symbolic name.
`java.lang.String` | `getVendor()` Returns the vendor.
`java.lang.String` | `getVersion()` Returns the version.
`OsgiManifest` | `instruction(java.lang.String name, java.lang.String values)` Adds arguments to an instruction.
`OsgiManifest` | `instructionFirst(java.lang.String name, java.lang.String values)` Adds arguments to an instruction.
`java.util.List` | `instructionValue(java.lang.String instructionName)` Returns the list of arguments for a particular instruction.
`void` | `setClassesDir(java.io.File classesDir)` Sets the classes dir.
`void` | `setClasspath(FileCollection classpath)` A convenient method for setting a Bundle-Classpath instruction.
`void` | `setDescription(java.lang.String description)` A convenient method for setting a Bundle-Description instruction.
`void` | `setDocURL(java.lang.String docURL)` A convenient method for setting a Bundle-DocURL instruction.
`void` | `setLicense(java.lang.String license)` A convenient method for setting a Bundle-License instruction.
`void` | `setName(java.lang.String name)` A convenient method for setting a Bundle-Name instruction.
`void` | `setSymbolicName(java.lang.String symbolicName)` A convenient method for setting a Bundle-SymbolicName instruction.
`void` | `setVendor(java.lang.String vendor)` A convenient method for setting a Bundle-Vendor instruction.
`void` | `setVersion(java.lang.String version)` A convenient method for setting a Bundle-Version instruction.

Methods inherited from interface Manifest
attributes, attributes, from, from, getAttributes, getEffectiveManifest, getSections, writeTo, writeTo

Method Detail

### getClassesDir

    public java.io.File getClassesDir()

  Returns the classes dir.
  See Also:
    setClassesDir(java.io.File)

### getClasspath

    public FileCollection getClasspath()

  Returns the classpath.
  See Also:
    setClasspath(org.gradle.api.file.FileCollection)

### getDescription

    public java.lang.String getDescription()

  Returns the description.
  See Also:
    setDescription(String)

### getDocURL

    public java.lang.String getDocURL()

  Returns the docURL value.
  See Also:
    setDocURL(String)

### getInstructions

    public java.util.Map getInstructions()

  Returns all exisiting instruction.
  Returns:
    A map with instructions. The key of the map is the instruction name, the value a list of arguments.

### getLicense

    public java.lang.String getLicense()

  Returns the license.
  See Also:
    setLicense(String)

### getName

    public java.lang.String getName()

  Returns the name.
  See Also:
    setName(String)

### getSymbolicName

    public java.lang.String getSymbolicName()

  Returns the symbolic name.
  Returns:
    the symbolic name.
  See Also:
    setSymbolicName(String)

### getVendor

    public java.lang.String getVendor()

  Returns the vendor.
  See Also:
    setVendor(String)

### getVersion

    public java.lang.String getVersion()

  Returns the version.
  See Also:
    setVersion(String)

### instruction

    public OsgiManifest instruction(java.lang.String name, java.lang.String values)

  Adds arguments to an instruction. If the instruction does not exists, it is created. If it does exists, the arguments are appended to the existing arguments.
  Parameters:
    name
    values
  Returns:
    this
  See Also:
    instructionFirst(String, String...)

### instructionFirst

    public OsgiManifest instructionFirst(java.lang.String name, java.lang.String values)

  Adds arguments to an instruction. If the instruction does not exists, it is created. If it does exists, the arguments are inserted before the existing arguments.
  Parameters:
    `name` - Name of the instruction.
    `values` - The values for the instruction.
  Returns:
    this
  See Also:
    instructionFirst(String, String...)

### instructionValue

    public java.util.List instructionValue(java.lang.String instructionName)

  Returns the list of arguments for a particular instruction.
  Parameters:
    instructionName
  Returns:
    The list of arguments
  See Also:
    instruction(String, String...)

### setClassesDir

    public void setClassesDir(java.io.File classesDir)

  Sets the classes dir. This directory is the major source of input for generation the OSGi manifest. All classes are analyzed for its packages and package dependencies. Based on this the Import-Package value is set. This auto generated value can be overwritten by explicitly setting an instruction.
  Parameters:
    classesDir
  See Also:
    instruction(String, String...)

### setClasspath

    public void setClasspath(FileCollection classpath)

  A convenient method for setting a Bundle-Classpath instruction. The information of the classpath elements are only used if they are OSGi bundles. In this case for example the version information provided by the bundle is used in the Import-Package of the generated OSGi bundle.
  Parameters:
    `classpath` - The classpath elements

### setDescription

    public void setDescription(java.lang.String description)

  A convenient method for setting a Bundle-Description instruction.
  Parameters:
    `description` - the description to set

### setDocURL

    public void setDocURL(java.lang.String docURL)

  A convenient method for setting a Bundle-DocURL instruction.
  Parameters:
    `docURL` - the docURL to set.

### setLicense

    public void setLicense(java.lang.String license)

  A convenient method for setting a Bundle-License instruction.
  Parameters:
    `license` - The license to set

### setName

    public void setName(java.lang.String name)

  A convenient method for setting a Bundle-Name instruction.
  Parameters:
    `name` - the name to set

### setSymbolicName

    public void setSymbolicName(java.lang.String symbolicName)

  A convenient method for setting a Bundle-SymbolicName instruction.
  Parameters:
    `symbolicName` - the symbolicName to set

### setVendor

    public void setVendor(java.lang.String vendor)

  A convenient method for setting a Bundle-Vendor instruction.
  Parameters:
    `vendor` - The vendor to set

### setVersion

    public void setVersion(java.lang.String version)

  A convenient method for setting a Bundle-Version instruction.
  Parameters:
    `version` - the version to set

Groovy Documentation